# AP4_MpegSampleDescription Class Reference

`#include <Ap4SampleDescription.h>`

Inheritance diagram for AP4_MpegSampleDescription:

List of all members.

## Public Types
typedef AP4_UI08 | StreamType
typedef AP4_UI08 | OTI
## Public Member Functions
| AP4_MpegSampleDescription (AP4_UI32 format, AP4_EsdsAtom *esds)
| AP4_MpegSampleDescription (AP4_UI32 format, StreamType stream_type, OTI oti, const AP4_DataBuffer *decoder_info, AP4_UI32 buffer_size, AP4_UI32 max_bitrate, AP4_UI32 avg_bitrate)
AP4_Byte | GetStreamType () const
AP4_Byte | GetObjectTypeId () const
AP4_UI32 | GetBufferSize () const
AP4_UI32 | GetMaxBitrate () const
AP4_UI32 | GetAvgBitrate () const
const AP4_DataBuffer & | GetDecoderInfo () const
AP4_EsDescriptor * | CreateEsDescriptor () const
## Static Public Member Functions
static const char * | GetStreamTypeString (StreamType type)
static const char * | GetObjectTypeString (OTI oti)
## Protected Attributes
AP4_UI32 | m_Format
StreamType | m_StreamType
OTI | m_ObjectTypeId
AP4_UI32 | m_BufferSize
AP4_UI32 | m_MaxBitrate
AP4_UI32 | m_AvgBitrate
AP4_DataBuffer | m_DecoderInfo

## Detailed Description

Definition at line 181 of file Ap4SampleDescription.h.

## Member Typedef Documentation

typedef AP4_UI08 AP4_MpegSampleDescription::StreamType

Definition at line 185 of file Ap4SampleDescription.h.

typedef AP4_UI08 AP4_MpegSampleDescription::OTI

Definition at line 186 of file Ap4SampleDescription.h.

## Constructor & Destructor Documentation

AP4_MpegSampleDescription::AP4_MpegSampleDescription | ( | AP4_UI32 | format,
|  | AP4_EsdsAtom * | esds |
| ) |  |  |

AP4_MpegSampleDescription::AP4_MpegSampleDescription | ( | AP4_UI32 | format,
|  | StreamType | stream_type,
|  | OTI | oti,
|  | const AP4_DataBuffer * | decoder_info,
|  | AP4_UI32 | buffer_size,
|  | AP4_UI32 | max_bitrate,
|  | AP4_UI32 | avg_bitrate |
| ) |  |  |

## Member Function Documentation

static const char* AP4_MpegSampleDescription::GetStreamTypeString | ( | StreamType | type | ) | `[static]`

static const char* AP4_MpegSampleDescription::GetObjectTypeString | ( | OTI | oti | ) | `[static]`

AP4_Byte AP4_MpegSampleDescription::GetStreamType | ( |  | ) | const`[inline]`

Definition at line 204 of file Ap4SampleDescription.h.

References m_StreamType.

AP4_Byte AP4_MpegSampleDescription::GetObjectTypeId | ( |  | ) | const`[inline]`

Definition at line 205 of file Ap4SampleDescription.h.

References m_ObjectTypeId.

AP4_UI32 AP4_MpegSampleDescription::GetBufferSize | ( |  | ) | const`[inline]`

Definition at line 206 of file Ap4SampleDescription.h.

References m_BufferSize.

AP4_UI32 AP4_MpegSampleDescription::GetMaxBitrate | ( |  | ) | const`[inline]`

Definition at line 207 of file Ap4SampleDescription.h.

References m_MaxBitrate.

AP4_UI32 AP4_MpegSampleDescription::GetAvgBitrate | ( |  | ) | const`[inline]`

Definition at line 208 of file Ap4SampleDescription.h.

References m_AvgBitrate.

const AP4_DataBuffer& AP4_MpegSampleDescription::GetDecoderInfo | ( |  | ) | const`[inline]`

Definition at line 209 of file Ap4SampleDescription.h.

References m_DecoderInfo.

AP4_EsDescriptor* AP4_MpegSampleDescription::CreateEsDescriptor | ( |  | ) | const

## Member Data Documentation

AP4_UI32 AP4_MpegSampleDescription::m_Format`[protected]`

Reimplemented from AP4_SampleDescription.

Definition at line 217 of file Ap4SampleDescription.h.

StreamType AP4_MpegSampleDescription::m_StreamType`[protected]`

Definition at line 218 of file Ap4SampleDescription.h.

Referenced by GetStreamType().

OTI AP4_MpegSampleDescription::m_ObjectTypeId`[protected]`

Definition at line 219 of file Ap4SampleDescription.h.

Referenced by GetObjectTypeId().

AP4_UI32 AP4_MpegSampleDescription::m_BufferSize`[protected]`

Definition at line 220 of file Ap4SampleDescription.h.

Referenced by GetBufferSize().

AP4_UI32 AP4_MpegSampleDescription::m_MaxBitrate`[protected]`

Definition at line 221 of file Ap4SampleDescription.h.

Referenced by GetMaxBitrate().

AP4_UI32 AP4_MpegSampleDescription::m_AvgBitrate`[protected]`

Definition at line 222 of file Ap4SampleDescription.h.

Referenced by GetAvgBitrate().

AP4_DataBuffer AP4_MpegSampleDescription::m_DecoderInfo`[protected]`

Definition at line 223 of file Ap4SampleDescription.h.

Referenced by GetDecoderInfo().

The documentation for this class was generated from the following file:

- Ap4SampleDescription.h